FROM registry.gitlab.com/centos/automotive/sample-images/eclipse-ecal:latest-f37

COPY app /opt/app

RUN mkdir -p /opt/app/_build

WORKDIR /opt/app/_build
RUN cmake .. && \
make

WORKDIR /

ENTRYPOINT ["/opt/app/_build/hello_world_snd"]
